Hand a run and its prepared work to a teammate
POST
/v1/workspace/workflows/runs/{run_id}/reassign
const url = 'https://api.vocapable.com/v1/workspace/workflows/runs/example/reassign';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"owner_user_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/workflows/runs/example/reassign \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "owner_user_id": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”run_id
required
Run Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceWorkflowRunReassign
object
owner_user_id
required
Owner User Id
string
Examplegenerated
{ "owner_user_id": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceWorkflowRun
object
id
required
Id
string
recipe
required
Recipe
string
plan_id
required
Plan Id
string
plan_version
required
Plan Version
integer
trigger_type
required
Trigger Type
string
trigger_id
required
Trigger Id
string
status
required
Status
string
attempts
required
Attempts
integer
owner
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
steps
required
Steps
Array<object>
WorkspaceWorkflowRunStepobject
at
required
At
string
kind
required
Kind
string
note
required
Note
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{ "recipe": "missed_call", "status": "pending"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}